> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-terraform-v2-owner-resources.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cohort Filter Attribute Values

> ListCohortFilterAttributeValues pages one attribute's values for the
 custom-analysis editor.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/role-mining/filter-attributes/{attribute}/values
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/filter-attributes/{attribute}/values:
    get:
      tags:
        - Role Mining
      summary: List Cohort Filter Attribute Values
      description: |-
        ListCohortFilterAttributeValues pages one attribute's values for the
         custom-analysis editor.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.ListCohortFilterAttributeValues
      parameters:
        - in: path
          name: attribute
          required: true
          schema:
            description: The attribute field.
            type: string
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
        - in: query
          name: q
          schema:
            description: The query field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.ListCohortFilterAttributeValuesResponse
          description: Successful response
components:
  schemas:
    c1.api.role_mining_management.v1.ListCohortFilterAttributeValuesResponse:
      description: The ListCohortFilterAttributeValuesResponse message.
      properties:
        nextPageToken:
          description: The nextPageToken field.
          type: string
        values:
          description: The values field.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.AttributeValue'
          type:
            - array
            - 'null'
      title: List Cohort Filter Attribute Values Response
      type: object
      x-speakeasy-name-override: ListCohortFilterAttributeValuesResponse
    c1.mcp.role_mining.v1.AttributeValue:
      description: AttributeValue represents a single value within a facet.
      properties:
        displayName:
          description: The displayName field.
          type: string
        userCount:
          description: The userCount field.
          format: int32
          type: integer
        value:
          description: The value field.
          type: string
      title: Attribute Value
      type: object
      x-speakeasy-name-override: RoleMiningAttributeValue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````